> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Unread Messages Count

> Retrieves the total unread messages count across all chats for a worker.



## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json GET /workers/{id}/chats/unread-messages-count
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /workers/{id}/chats/unread-messages-count:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Worker ID
    get:
      tags:
        - Workers
      summary: Get Unread Messages Count
      description: Retrieves the total unread messages count across all chats for a worker.
      operationId: get-unread-messages-count
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  unread_count:
                    type: integer
                    minimum: 0
                    description: Total number of unread messages across all chats.
              examples:
                Success:
                  value:
                    unread_count: 5
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid page parameter:
                  value:
                    code: WRK-2400
                    error: Invalid page parameter
                Invalid items per page parameter:
                  value:
                    code: WRK-2400
                    error: Invalid items per page parameter
                Invalid date range filter:
                  value:
                    code: WRK-2400
                    error: Invalid date range filter
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid or missing API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Worker not found:
                  value:
                    code: WRK-300
                    error: Worker not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: WRK-900
                  error:
                    type: string
                    example: An unexpected error occurred.
components:
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````